# TestMetadataEvent

@Incubating
interface TestMetadataEvent : ProgressEvent

An event that informs about a test capturing metadata while running.

A new test metadata event instance is created for each metadata reporting event, which might involve multiple values.

#### Since

8.13

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getValues
Link copied to clipboard
abstract fun getValues(): Map<String, Any>
Returns the metadata itself.